package edu.travel.commodity.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 语言表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "shop_language")
public class ShopLanguage {
    /**
     * id
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 中文语言名
     */
    @TableField(value = "language_name_zh")
    private String languageNameZh;

    /**
     * 英文语言名
     */
    @TableField(value = "language_name_en")
    private String languageNameEn;

    /**
     * 当地语言名
     */
    @TableField(value = "language_name_local")
    private String languageNameLocal;

    /**
     * web前端状态 0未完成 1完成
     */
    @TableField(value = "web_status")
    private Integer webStatus;

    /**
     * 移动端状态 0未完成 1完成
     */
    @TableField(value = "mobile_status")
    private Integer mobileStatus;

    /**
     * web后端状态 0未完成 1完成
     */
    @TableField(value = "web_backend_status")
    private Integer webBackendStatus;

    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    private Date createTime;

    /**
     * 创建人
     */
    @TableField(value = "create_user_id")
    private String createUserId;

    /**
     * 更新时间
     */
    @TableField(value = "update_time")
    private Date updateTime;

    /**
     * 更新人id
     */
    @TableField(value = "update_user_id")
    private String updateUserId;

    /**
     * 删除标记 0正常 1删除
     */
    @TableField(value = "delete_flag")
    private Integer deleteFlag;
}