package edu.travel.order.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;

import edu.travel.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 订单商品表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "shop_order_type_change")
public class ShopOrderTypeChange extends BaseEntity {
    /**
     * id
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 订单表ID
     */
    @TableField(value = "order_id")
    private Long orderId;

    /**
     * 0待付款, 1已下单, 2待发货,3待收货,4待评价,5已完成,6已取消
     */
    @TableField(value = "`status`")
    private Integer status;
}